---
title: Download
description: Get the code.
layout: download
---


## Install with npm or Bower

Install the [npm][] package:

```sh
npm install spf
```

Install the [Bower][] package:

```sh
bower install spf
```


## Link to a CDN

You can link to the JS files directly from several popular CDNs:

- [Google Hosted Libraries][]  
  `https://ajax.googleapis.com/ajax/libs/spf/2.4.0/spf.js`
- [cdnjs][]  
  `https://cdnjs.cloudflare.com/ajax/libs/spf/2.4.0/spf.js`
- [jsDelivr][]  
  `https://cdn.jsdelivr.net/spf/2.4.0/spf.js`
- [OSSCDN][]  
  `https://oss.maxcdn.com/spf/2.4.0/spf.js`


## Download a release

Download just the minified JS files:
**[spfjs-2.4.0-dist.zip][spfjs-dist-zip]**

```sh
curl -LO https://github.com/youtube/spfjs/releases/download/v2.4.0/spfjs-2.4.0-dist.zip
unzip spfjs-2.4.0-dist.zip
```

Or, download the minified files and complete source code:
**[v2.4.0.zip][spfjs-src-zip]**

```sh
curl -LO https://github.com/youtube/spfjs/archive/v2.4.0.zip
unzip v2.4.0.zip
```


## Clone with Git

Clone the project from GitHub and checkout the release:

```sh
git clone https://github.com/youtube/spfjs.git
cd spfjs
git checkout v2.4.0
```


## Get Started

After you've grabbed the code, **[get started][]**.



[get started]: ./documentation/start.md
[npm]: https://www.npmjs.com/
[Bower]: http://bower.io/
[Google Hosted Libraries]: https://developers.google.com/speed/libraries/devguide#spf
[cdnjs]: https://cdnjs.com/libraries/spf
[jsDelivr]: http://www.jsdelivr.com/#!spf
[OSSCDN]: http://osscdn.com/#/spf
[spfjs-dist-zip]: https://github.com/youtube/spfjs/releases/download/v2.4.0/spfjs-2.4.0-dist.zip
[spfjs-src-zip]: https://github.com/youtube/spfjs/archive/v2.4.0.zip
